Package org.eclipse.net4j.util.ui.views

# Class MasterDetailsView

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.ui.part.WorkbenchPart
org.eclipse.ui.part.ViewPart
org.eclipse.net4j.util.ui.views.MultiViewersView
org.eclipse.net4j.util.ui.views.MasterDetailsView

All Implemented Interfaces:
  `IAdaptable`, `IExecutableExtension`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `ISetSelectionTarget`, `IWorkbenchPartOrientation`

public abstract class MasterDetailsView extends MultiViewersView

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected final class`
`MasterDetailsView.RefreshAction`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.MultiViewersView

`MultiViewersView.MessageType`

## Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`MasterDetailsView()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`adjustDetails(Object masterElement)`
`protected abstract StructuredViewer`
`createDetail(Composite parent, String title)`
`protected abstract StructuredViewer`
`createMaster(Composite parent)`
`protected Control`
`createUI(Composite parent)`
`protected void`
`fillCoolBar(IContributionManager manager)`
`protected void`
`fillLocalPullDown(IMenuManager manager)`
`int`
`getCurrentDetailIndex()`
`String`
`getCurrentDetailTitle()`
`Object`
`getCurrentMasterElement()`
`StructuredViewer[]`
`getDetails()`
`String[]`
`getDetailTitles()`
`protected abstract String[]`
`getDetailTitles(Object masterElement)`
`StructuredViewer`
`getMaster()`
`static int`
`indexOf(CTabItem[] items, String title)`
`protected void`
`masterSelectionChanged(SelectionChangedEvent event)`
`protected void`
`setDetailInput(StructuredViewer viewer, Object input)`

### Methods inherited from class org.eclipse.net4j.util.ui.views.MultiViewersView

`closeView, createPartControl, doubleClicked, fillContextMenu, fillLocalToolBar, getCurrentViewer, getDisplay, getShell, refreshElement, refreshViewer, revealElement, selectReveal, setCurrentViewer, setFocus, showMessage, showMessage, updateLabels`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, dispose, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

## Constructor Details

### MasterDetailsView

public MasterDetailsView()

## Method Details

### getMaster

public StructuredViewer getMaster()

### getDetails

public StructuredViewer[] getDetails()

### getDetailTitles

public String[] getDetailTitles()

### getCurrentMasterElement

public Object getCurrentMasterElement()

### getCurrentDetailIndex

public int getCurrentDetailIndex()

### getCurrentDetailTitle

public String getCurrentDetailTitle()

### createUI

protected Control createUI(Composite parent)

Specified by:
  `createUI` in class `MultiViewersView`

### fillLocalPullDown

protected void fillLocalPullDown(IMenuManager manager)

Overrides:
  `fillLocalPullDown` in class `MultiViewersView`

### masterSelectionChanged

protected void masterSelectionChanged(SelectionChangedEvent event)

### adjustDetails

protected void adjustDetails(Object masterElement)

### setDetailInput

protected void setDetailInput(StructuredViewer viewer, Object input)

### fillCoolBar

protected void fillCoolBar(IContributionManager manager)

### createMaster

protected abstract StructuredViewer createMaster(Composite parent)

### createDetail

protected abstract StructuredViewer createDetail(Composite parent, String title)

### getDetailTitles

protected abstract String[] getDetailTitles(Object masterElement)

### indexOf

public static int indexOf(CTabItem[] items, String title)